Skip to main content
GET
List Redemptions

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
page
integer

Which page of results to return. The lowest value is 1, the highest value is 99.

Required range: 1 <= x <= 99
result
string

A filter on the list based on the redemption result. Available options are: SUCCESS, FAILURE. You can provide multiple values by repeating the param.

campaign
string

A filter by the campaign name that the redemption resources originate from.

customer
string

Return redemptions performed by the customer with given id or source_id.

Example:

"cust_nk0N1uNQ1YnupAoJGOgvsODC"

order
enum<string>

Sorts the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at,
id,
-id,
voucher_code,
-voucher_code,
tracking_id,
-tracking_id,
customer_id,
-customer_id
created_at
object

A filter on the list based on the object created_at field. The value is a dictionary with the following options: before, after. A date value must be presented in ISO 8601 format (2016-11-16T14:14:31Z or 2016-11-16). An example: [created_at][before]=2017-09-08T13:52:18.227Z

filters
object

Filters for listing responses.

Response

200 - application/json

Returns a list of redemption objects. Each entry in the array is a separate redemption object. If no more redemptions are available, the resulting array will be empty. If you provide a non-existent customer ID, this call returns an empty object.

Response body schema for GET v1/redemptions.

object
string
default:list
required

The type of the object represented by JSON. This object stores information about redemptions in a dictionary.

data_ref
string
default:redemptions
required

Identifies the name of the attribute that contains the array of redemption objects.

redemptions
(Redemption · object | Redemption Rollback · object)[]
required

This is an object representing a redemption.

total
integer
required

Total number of redemptions.

Last modified on July 7, 2026